1. Web Visits
Leadfeeder API
  • Leadfeeder API
  • Authentication
  • Getting Started
  • Rate Limits
  • Relationships
  • Company ID Lifecycle
  • OpenAPI Specification Access
  • List of NACE / WZ codes
  • List of Industries
  • AI & MCP
    • Overview of the Leadfeeder MCP Server
    • Quickstart
    • Connect your AI tool
    • Authentication and permissions
  • Account
    • List Accounts
  • Companies
    • Get Company Details
    • Create Company Enrichment Job
    • Estimate Company Enrichment Job
    • Retrieve Companies
    • Company Financial Reports
    • Get Company Enrichment Job Status
    • Retrieve Company IPs
    • Match Companies
    • Search Companies
    • Search Company Signals
    • Update a Company
    • Remove Company from Lists
    • Add Company to Lists
    • Unassign Tags from Company
    • Assign Tags to Company
  • Contacts
    • Get Contact Details
    • Create Find Contact Data Job
    • Estimate Find Contact Data Job
    • Retrieve Contacts
    • Get Find Contact Data Job Status
    • Search Contacts
    • Update a Contact
    • Remove Contact from Lists
    • Add Contact to Lists
  • Web Visits
    • How to Create Custom Feed
    • Custom Feed - Filter Reference
    • Search Web Visits
      POST
    • Retrieve Visitor Companies
      GET
    • Create a Custom Feed
      POST
    • Retrieve Custom Feeds
      GET
    • Update Custom Feed
      PATCH
    • Delete a Custom Feed
      DELETE
    • Get Custom Feed Details
      GET
    • Retrieve Custom Feeds Folders
      GET
    • Retrieve Web Visits Tracker Script
      GET
  • Campaigns
    • Retrieve Campaigns
    • Get Campaign Details
    • Update Campaign
    • Retrieve Campaign Stats
  • IP
    • Enrich Company IP Address
  • Buyer Personas
    • Retrieve Buyer Personas
    • Create a Buyer Persona
    • Get Buyer Persona Details
    • Delete a Buyer Persona
    • Update a Buyer Persona
  • Ideal Customer Profiles
    • Retrieve Ideal Customer Profiles
    • Create an Ideal Customer Profile
    • Retrieve Company ICP Matches
    • Get Ideal Customer Profile Details
    • Delete an Ideal Customer Profile
    • Update an Ideal Customer Profile
  • Tags
    • Retrieve Tags
    • Create Tag
    • Create Batch Add Tags Job
    • Get Batch Add Tags Job
    • Create Batch Remove Tags Job
    • Delete Tag
    • Get Batch Remove Tags Job
    • Get Tag Details
    • Update Tag
  • Lists
    • Retrieve Lists
    • Create a List
    • Create Batch Add to List Job
    • Get List Details
    • Get Batch Add to List Job
    • Delete List
    • Create Batch Remove from List Job
    • Get Batch Remove from List Job
    • Retrieve Company List Memberships
    • Retrieve Contact List Memberships
    • Update List
    • Retrieve List Items
  • Custom Fields
    • Retrieve Custom Fields
    • Create Custom Field
    • Get Custom Field Details
    • Delete Custom Field
    • Update Custom Field
  • Users
    • Get Current User
  • Settings
    • Update Cookie Consent Settings
    • Get Data Processing Settings
    • Get Cookie Consent Settings
    • Update Data Processing Settings
  • Usage
    • Get Endpoints Usage
  • Reference Data
    • Get Geo Suggestions
    • Get Countries with Regions
    • Get Industries
  • Schemas
    • AccountCompanyV1
    • AccountSummaryV1
    • AccountV1
    • ApiUsageV1
    • BatchAddTagsJobV1
    • BatchAddToListJobV1
    • BatchRemoveFromListJobV1
    • BatchRemoveTagsJobV1
    • BuyerPersonaRequestV1
    • BuyerPersonaV1
    • CampaignLocationV1
    • CampaignSettingsV1
    • CampaignStatsV1
    • CampaignSummaryV1
    • CampaignV1
    • CompaniesAdvancedSearchFilterItem
    • CompanyFinancialsV1
    • CompanyIndustryV1
    • CompanyIpV1
    • CompanyLocationV1
    • CompanyMatchV1
    • CompanySummaryV1
    • CompanyV1
    • ContactFilterGroupsV1
    • ConnectedListV1
    • ContactSummaryV1
    • ContactV1
    • CookieConsentSettingsV1
    • CountryV1
    • CustomFeedFolderV1
    • CustomFeedRequestV1
    • CustomFieldV1
    • CustomFeedV1
    • CRMUserV1
    • DataProcessingSettingsV1
    • EnrichedIpV1
    • EnrichmentJobV1
    • CRMOrganizationV1
    • ErrorObjectV1
    • CRMContactV1
    • FindContactDataJobV1
    • GeoSuggestionV1
    • CRMLeadV1
    • ICPV1
    • CRMConnectionV1
    • IpAddressExtendedV1
    • CRMSuggestionV1
    • IcpRequestV1
    • IpLocationV1
    • CRMGroupConnectionV1
    • LocationV1
    • ListV1
    • MaskedCompanySummaryV1
    • MaskedContactSummaryV1
    • NetworkV1
    • SignalV1
    • UserV1
    • TagV1
    • VisitLocationV1
    • WebVisitV1
    • WebVisitsTrackerScriptV1
  1. Web Visits

Search Web Visits

POST
/v1/web-visits
Search for web visits within a date range. Returns a paginated list of visit records including engagement data, visitor information, and location. Visits can be narrowed with the simple inline filters or with a custom-feed-style advanced_filters tree (one or the other, not both).
INFO
Requires the web_visits:read OAuth2 scope.

Request

Authorization
API Key
Add parameter in header
X-Api-Key
Example:
X-Api-Key: ********************
or
Query Params

Body Params application/jsonRequired

Examples
Search visits of companies matching a custom-feed-style filter tree — here, companies from Germany whose visitors viewed a pricing page.
{
    "advanced_filters": {
        "items": [
            {
                "items": [
                    {
                        "items": [
                            {
                                "items": [
                                    {
                                        "field": "country_code",
                                        "operator": "is",
                                        "type": "filter",
                                        "value": "DE"
                                    }
                                ],
                                "operator": "or",
                                "type": "group"
                            },
                            {
                                "items": [
                                    {
                                        "field": "page_url",
                                        "operator": "contains",
                                        "type": "filter",
                                        "value": "/pricing"
                                    }
                                ],
                                "operator": "or",
                                "type": "group"
                            }
                        ],
                        "operator": "and",
                        "type": "group"
                    }
                ],
                "operator": "or",
                "type": "group"
            },
            {
                "items": [],
                "negated": true,
                "operator": "or",
                "type": "group"
            }
        ],
        "operator": "and",
        "type": "group",
        "version": 1
    },
    "end_date": "2026-01-31",
    "start_date": "2026-01-01"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --globoff 'https://api.leadfeeder.com/v1/web-visits?account_id=123456&page[num]=1&page[size]=20&include=company' \
--header 'X-Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "advanced_filters": {
        "items": [
            {
                "items": [
                    {
                        "items": [
                            {
                                "items": [
                                    {
                                        "field": "country_code",
                                        "operator": "is",
                                        "type": "filter",
                                        "value": "DE"
                                    }
                                ],
                                "operator": "or",
                                "type": "group"
                            },
                            {
                                "items": [
                                    {
                                        "field": "page_url",
                                        "operator": "contains",
                                        "type": "filter",
                                        "value": "/pricing"
                                    }
                                ],
                                "operator": "or",
                                "type": "group"
                            }
                        ],
                        "operator": "and",
                        "type": "group"
                    }
                ],
                "operator": "or",
                "type": "group"
            },
            {
                "items": [],
                "negated": true,
                "operator": "or",
                "type": "group"
            }
        ],
        "operator": "and",
        "type": "group",
        "version": 1
    },
    "end_date": "2026-01-31",
    "start_date": "2026-01-01"
}'

Responses

🟢200OK
application/json
Success
Bodyapplication/json

Example
{
    "data": [
        {
            "attributes": {
                "campaign": "Homepage Split",
                "device_type": "smartphone",
                "engagements": [
                    {
                        "event_type": "page-view",
                        "has_met_goals": false,
                        "hostname": "www.leadfeeder.com",
                        "id": "b4ebc08c-8c1f-11f1-9b9e-633b755451a0_0",
                        "page": {
                            "path": "/pricing/",
                            "title": "Pricing for all stages of growth",
                            "url": "http://www.leadfeeder.com/pricing/"
                        },
                        "previous_page_path": "(entrance)",
                        "time": "2026-01-15T10:30:00+02:00",
                        "time_on_page": 22
                    }
                ],
                "identifiers": {
                    "adobe_cookies": [],
                    "ga_client_ids": [
                        "5829104736.1742616961"
                    ],
                    "lf_client_id": "LF1.1.a3f8b2d1e4c90123.1742597607000"
                },
                "keyword": "website leads",
                "landing_page_path": "/home",
                "medium": "cpc",
                "page_depth": 4,
                "referring_url": "https://www.google.com/search?q=leadfeeder",
                "source": "google",
                "started_at": "2026-01-15T10:30:00.000Z",
                "visit_length": 80,
                "visitor": {
                    "email": null,
                    "first_name": null,
                    "last_name": null
                }
            },
            "id": "5b4f313e-46de-11e8-b981-05bebed8e58b",
            "relationships": {
                "company": {
                    "id": "129011",
                    "type": "company"
                },
                "location": {
                    "attributes": {
                        "city": "Helsinki",
                        "country": "Finland",
                        "country_code": "FI",
                        "geonames_id": "658225",
                        "postal_code": "00100",
                        "region": "Uusimaa"
                    },
                    "id": "6xeTMh2VfiAzFd86n7GNJ3",
                    "type": "visit_location"
                }
            },
            "type": "web_visit"
        }
    ],
    "meta": {
        "pagination": {
            "page_count": 1,
            "page_num": 1,
            "total_count": 1
        },
        "request_id": "cf054205-dd8c-4473-8689-07c30fe0789f"
    }
}
🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠422Parameter Error
🟠429Server Error
🔴500Server Error
🔴504Gateway Timeout
Modified at 2026-09-17 07:46:23
Previous
Custom Feed - Filter Reference
Next
Retrieve Visitor Companies
Built with